Skip to main content
Resource Center/Network Resource/Hardware SDN Controller Operations

QueryHuaweiIMasterVRouter

QueryHuaweiIMasterVRouter

GET/zstack/v1/sdn-controller/huawei-imaster/vrouters
GET/zstack/v1/sdn-controller/huawei-imaster/vrouters/{uuid}

Operation ID

QueryHuaweiIMasterVRouter

Since

5.4.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • q
    String

    Query conditions.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • inventories
    ListRequired

    See inventories.

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      The resource name.

    • description
      StringRequired

      The detailed description of the resource.

    • logicalNetworkId
      StringRequired

      The logical network ID.

    • tenantId
      StringRequired

      The tenant ID.

    • fabricUuid
      StringRequired

      The fabric UUID.

    • deleted
      BooleanRequired

      The deleted.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The brief description of the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.